      module integvars
!****************************************************************
! This module is a component of VINE, copyright by the authors, *
! as listed below. Please see the COPYING and LICENSE files     *
! in the parent directory for additional information.           *
! This notification is present as an attempt to follow the      *
! recommendations for licensing published on the FSF page.      * 
!****************************************************************
!  This file contains the VINE module defining the variables    *
!  and arrays used for the integrator routines (both lf and rk) *
!                                                               *
!  Written by Andy Nelson, Markus Wetzstein and Thorsten Naab   *
!****************************************************************

      use dimens, only:ndim,idim,isphdim,ipmdim

      implicit none

      private ndim,idim,isphdim,ipmdim
      public
      save
!
!==========INTEGRATOR INFORMATION===================
!
      double precision acc1  (ndim,idim  ),
     &                 acc1pm(ndim,ipmdim),
     & dhdt1(isphdim), dudt1 (isphdim), dalfdt1(isphdim)


#ifdef RK
!
! change to include any other 2 step integrators, as needed
!
      double precision acc2  (ndim,idim  ),velhaf  (ndim,idim  ),
     &                 acc2pm(ndim,ipmdim),velhafpm(ndim,ipmdim),
     & dhdt2(isphdim), dudt2(isphdim), dalfdt2(isphdim),
     & rhohalf(isphdim),divvhalf(isphdim)

      double precision bb,f21,f22,e1
      parameter(bb=255d0/256d0)
      parameter(f21=1d0-bb,f22=bb,e1=1d0/512d0)
#else
!
! If we don't have a 2 step integrator, make dummy arrays 
! so various routines don't bomb on compilation
!
      double precision acc2  (ndim,1),velhaf  (ndim,1),
     &                 acc2pm(ndim,1),velhafpm(ndim,1),
     & dhdt2(1), dudt2(1), dalfdt2(1),
     & rhohalf(1),divvhalf(1)

#endif
      end module integvars
