      module sphvars
!****************************************************************
! This module is a component of VINE, copyright by the authors, *
! as listed below. Please see the COPYING and LICENSE files     *
! in the parent directory for additional information.           *
! This notification is present as an attempt to follow the      *
! recommendations for licensing published on the FSF page.      * 
!****************************************************************
!  This file contains the VINE module to define hydrodynamic    *
!  variables used in the SPH calculations.                      *
!                                                               *
!  Written by Andy Nelson                                       *
!                                                               *
!****************************************************************
      use dimens, only:isphdim

      implicit none

      private isphdim
      public

      save
!
! Arrays for thermodynamic quantities
!
      integer, parameter:: i_bal=1,i_pres=2,i_sound=3

      integer nneightot(isphdim)

      double precision divmaxs, rmu(isphdim)
      double precision thermo(3,isphdim)

      double precision dq(isphdim), pdv(isphdim)

      end module sphvars
