      subroutine zzsgi
!************************************************************
!                                                           *
!  this routine contains all SGI specific routines          *
!                                                           *
!************************************************************
      implicit none

      integer ij,im,iy,id,ih,is
      integer lnum,ifile,ifsize
      integer my_cpu,numcpus
      double precision fhour

      integer lstat
      external lstat

!$    integer omp_get_num_threads
!$    external omp_get_num_threads
!$    integer omp_get_max_threads
!$    external omp_get_max_threads
!$    integer omp_get_thread_num
!$    external omp_get_thread_num

      integer iarray(3),istatb(12)

      character(len=11) job
      character(len=7) file
!
!--flush a buffer out..Useful for running background jobs
!--with output sent to files.
!
      entry bufflush (lnum)
      call flush(lnum)
      return
!
!--get date
!
      entry getdat (ij,im,iy)
      call idate(ij,id,iy)
      return
!
!--get time
!
      entry getime(ih,im,is,fhour)
      call itime(iarray)
      ih=iarray(1)
      im=iarray(2)
      is=iarray(3)
      fhour=ih + im/60. + is/3600.
      return
!
!--random number generator (uniform distribution)
!
!      entry random(randm,idumy)
!      randm=rand()
!      return
!
!--check for file status
!
      entry statfile(file,ifsize)
      ifile=lstat(file,istatb)
      ifsize=istatb(8)
      return
!
!--get argument on command line
!
      entry getcom(job)
      call getarg(1,job)
      return
!
!--Disable Dynamic threading. (i.e. variable cpu count as 
!                              the simulation proceeds)
!
      entry fix_numprocessors
!$    call omp_set_dynamic(.false.)
      return
!
!--return number of processors available for job
!
      entry numprocessors(numcpus)
      numcpus=1
!$    numcpus=omp_get_max_threads()
      return
!
!--return number of threads available for the current parallel region
!
      entry numthreads(numcpus)
      numcpus=1
!$    numcpus=omp_get_num_threads()
      return
!
!--return the processor number 
!
      entry get_mycpu(my_cpu)
      my_cpu=1
!$    my_cpu=omp_get_thread_num()+1
      return

      end
